Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testjdt3
Class Information

    java.lang.Object
      testjdt3.Information

    public class Information

extends java.lang.Object

Class for information about the types

Author:
  jroyer

Constructor Summary
`Information()` Default constructor.
`Information(boolean r)` Constructor for root type.

Method Summary
`MyIType` | `getIbind()` Get ITypeBinding.
`boolean` | `hasFields()` test if has fields.
`boolean` | `isComponentType()` Check if type information is resolved.
`boolean` | `isCycle()`
`boolean` | `isDataType()` Check if type information is resolved.
`boolean` | `isResolved()` Check if type information is resolved.
`boolean` | `isViewed()`
`void` | `setComponentType(boolean data)` Set component type indicator.
`void` | `setCycle(boolean cycle)`
`void` | `setDataType(boolean data)` Set data type indicator.
`void` | `setRoot()` Set root indicator.
`void` | `setType(MyIType it)` Set the resolved type.
`void` | `setViewed(boolean viewed)`
`java.lang.String` | `toString()` String description.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Information

    public Information()

  Default constructor.

### Information

    public Information(boolean r)

  Constructor for root type.

  Parameters:
    `r` -

Method Detail

### toString

    public java.lang.String toString()

  String description.

  Overrides:
    `toString` in class `java.lang.Object`

### setDataType

    public void setDataType(boolean data)

  Set data type indicator.

  Parameters:
    `data` -

### setComponentType

    public void setComponentType(boolean data)

  Set component type indicator.

  Parameters:
    `data` -

### setType

    public void setType(MyIType it)

  Set the resolved type.

  Parameters:
    `it` -

### setRoot

    public void setRoot()

  Set root indicator.

### isResolved

    public boolean isResolved()

  Check if type information is resolved.

  Returns:

### hasFields

    public boolean hasFields()

  test if has fields.

  Returns:

### isDataType

    public boolean isDataType()

  Check if type information is resolved.

  Returns:

### isComponentType

    public boolean isComponentType()

  Check if type information is resolved.

  Returns:

### getIbind

    public MyIType getIbind()

  Get ITypeBinding.

  Returns:

### isViewed

    public boolean isViewed()

### setViewed

    public void setViewed(boolean viewed)

### isCycle

    public boolean isCycle()

### setCycle

    public void setCycle(boolean cycle)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD